--PSPMoney by A. Brummer alias uPSP_08

--Farbdefinition
rot=pge.gfx.createcolor(255,0,0)
gruen=pge.gfx.createcolor(0,255,0)
back=pge.gfx.createcolor(254,254,205)
schwarz=pge.gfx.createcolor(0,0,0)
blau=pge.gfx.createcolor(0,0,255)

--Weitere Variablen
already=0
modus=1

gross=pge.font.load("verdana.ttf",30,PGE_RAM)
mittel=pge.font.load("verdana.ttf",22,PGE_RAM)
klein=pge.font.load("verdana.ttf",12,PGE_RAM)
scheine=pge.texture.load("/img/scheine.png")
background=pge.texture.load("/img/background.png")
deu=pge.texture.load("/img/Flaggen/deu.png")
grosbrit=pge.texture.load("/img/Flaggen/grosbrit.png")

a=0
for x=0,84 do
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8,0,a)
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
a=a+3
end
pge.delay(700000)
a=0
for x=0,63 do
farbe=pge.gfx.createcolor(0,0,0,a)
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8)
gross:activate()
gross:print(70,160,farbe,"PSPMoney v.2.3")
mittel:activate()
mittel:print(180,195,farbe,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
a=a+4
end
pge.delay(2500000)
a=255
for x=0,51 do
farbe=pge.gfx.createcolor(0,0,0,a)
pge.gfx.startdrawing()
pge.gfx.clearscreen()
scheine:activate()
scheine:draweasy(15,8,0,a)
gross:activate()
gross:print(70,160,farbe,"PSPMoney v.2.3")
mittel:activate()
mittel:print(180,195,farbe,"by uPSP_08")
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
a=a-5
end
pge.delay(400000)

--Sprachwahl

while pge.running() do
pge.controls.update()
pge.gfx.startdrawing()
pge.gfx.clearscreen()
background:activate()
background:draweasy(0,0)
grosbrit:activate()
grosbrit:draweasy(30,75)
deu:activate()
deu:draweasy(30,105)
if modus==1 then
gross:activate()
gross:print(30,30,schwarz,"Select your language")
mittel:activate()
mittel:print(80,77,blau,"English")
mittel:print(80,107,schwarz,"Deutsch")
klein:activate()
klein:print(40,200,schwarz,"Select language and continue.")
elseif modus==2 then
gross:activate()
gross:print(30,30,schwarz,"Sprache waehlen")
mittel:activate()
mittel:print(80,77,schwarz,"English")
mittel:print(80,107,blau,"Deutsch")
klein:activate()
klein:print(30,200,schwarz,"Sprache waehlen und fortfahren.")
end
pge.gfx.enddrawing()
pge.gfx.swapbuffers()
if pge.controls.pressed(PGE_CTRL_DOWN) then
if modus==1 then
modus=2
elseif modus==2 then
modus=1
end
end
if pge.controls.pressed(PGE_CTRL_UP) then
if modus==1 then
modus=2
elseif modus==2 then
modus=1
end
end
if pge.controls.pressed(PGE_CTRL_CROSS) then
if modus==1 then
dofile("./ENG/SYSTEM2.lua")
elseif modus==2 then
dofile("./DEU/SYSTEM2.lua")
end
end
end
background=nil
collectgarbage()